function [n] = newton_vereinfacht(x)

M = inv(J(x));

for k=1:1000
    n = x - M*F(x);

    if norm(n - x) < 1e-10
        cache = sprintf('Verfahren konvergiert in Iteration %i.',k);
        disp(cache);
        break;
    end

    x = n;
    k = k+1;
end

if(k == 1001)
    cache = sprintf('Das Verfahren konvergiert nicht.');
    disp(cache);
end

end


function y = F(x)

y = [x(1)^2 + 9* x(2)^2 + 2 * x(1) - 3; 4 * x(1)^2 - x(2)^2 - x(2) - 1];

end

function y = J(x)

y = [2 * x(1) + 2, 18 * x(2); 8 * x(1), -2 * x(2) - 1];

end